Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Questions specific to the KDE DE go here
User avatar
palimmo
Posts: 802
Joined: 19 Nov 2013 19:44
Contact:

Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Postby palimmo » 30 May 2019 08:30

And now?

Code: Select all

~$ kdesudo kate
Executing Kate with sudo is not possible due to unfixable security vulnerabilities.
~$ kdesudo dolphin
Executing Dolphin with sudo is not possible due to unfixable security vulnerabilities.
~$ sudo su
root@solydxk:/home/alessio# kate
Executing Kate with sudo is not possible due to unfixable security vulnerabilities.
:?
Proud user of SolydK!

Dai diamanti non nasce niente, dal letame nascono i fior. http://aquilone.wordpress.com/

User avatar
Arjen Balfoort
Site Admin
Posts: 9258
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Postby Arjen Balfoort » 30 May 2019 10:17

If you are on EE:

Code: Select all

apt update
apt install solydk-system-adjustments-10
and/or run:

Code: Select all

pkexec kate
Always use pkexec for graphical applications.


SolydXK needs you!
Development | Testing | Translations

User avatar
palimmo
Posts: 802
Joined: 19 Nov 2013 19:44
Contact:

Re: Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Postby palimmo » 30 May 2019 10:40

I'm on solydk 9.
solydk-system-adjustments is installed.

Code: Select all

~$ pkexec kate
QXcbConnection: Could not connect to display 
Aborted
Proud user of SolydK!

Dai diamanti non nasce niente, dal letame nascono i fior. http://aquilone.wordpress.com/

User avatar
palimmo
Posts: 802
Joined: 19 Nov 2013 19:44
Contact:

Re: Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Postby palimmo » 30 May 2019 12:01

this way it works...

Code: Select all

~$ su -
Password: 
root@solydxk:~# kate
Proud user of SolydK!

Dai diamanti non nasce niente, dal letame nascono i fior. http://aquilone.wordpress.com/

User avatar
ilu
Posts: 2474
Joined: 09 Oct 2013 12:45

Re: Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Postby ilu » 30 May 2019 12:27

That's not the way it's supposed to be. Could you check this post viewtopic.php?f=7&t=7538#p70140 and give the output of the commands Arjen asked for?

User avatar
grizzler
Posts: 2160
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Postby grizzler » 30 May 2019 12:42

That's no longer applicable. The diversion of pkexec has been removed.

Apparently kate doesn't have a policy file either...
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
Arjen Balfoort
Site Admin
Posts: 9258
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Executing Kate with sudo is not possible due to unfixable security vulnerabilities

Postby Arjen Balfoort » 30 May 2019 13:17

I've added policies for kate and dolphin in both solydxk-system-adjustments-9 (uploaded just now) and solydxk-system-adjustments-10 (uploaded yesterday).

Code: Select all

apt update
apt install solydk-system-adjustments-9
I rebooted, but I don't know if that is necessary.


SolydXK needs you!
Development | Testing | Translations


Return to “KDE specific (SolydK)”

Who is online

Users browsing this forum: No registered users and 3 guests